Subject: Re: [PATCH v2 net-next 15/15] tipc: remove old ASCII netlink API

From: Richard Alpe <[email-masked]>
Date: Wed, 8 Oct 2014 14:02:30 +0200

On 10/06/2014 09:20 PM, David Miller wrote:
> From: Jon Maloy <[email-masked]>
> Date: Mon, 6 Oct 2014 13:37:14 +0000
>
>> I disagree.  We did of course consider this before we posted the patch.
>> There is absolutely no reason to believe there are binaries "out there"
>> using this API. It is intended for and used only by our own tool "tipc-config",
>> and the half-baked documentation that exists about it is not even
>> correct. This is an TIPC-internal API/ABI, which has changed over the years,
>> and keeps changing.  To our best judgement there is no risk in removing the
>> old API.
>>
>> However, we took great care to not break any scripts that might be using
>> tipc-config. Therefore, we made this wrapper that provides the old
>> tipc-config command API to existing users.
>
> A user should be able to upgrade the kernel and keep using tipc-config
> (or _whatever_) that's on their machine.
>
> You cannot break old stuff like this, and just because I didn't notice
> you slipping in incompatible changes in the past doesn't mean I'm going
> to let you keep doing it.
>
> Backwards compatability must be maintained for every single interface
> exposed to the user, and this is non-negotiable, sorry.
Alright. Can we log a deprecated warning when using the old API and 
eventually phase it out?

Regards
Richard